/*
 * Replacement for a missing issetuidgid.
 *
 * Simulates the functionality as the Solaris function issetuidgid, which
 * returns true if the running program was setuid or setgid.  The replacement
 * test is not quite as comprehensive as what the Solaris function does, but
 * it should be good enough.
 *
 * Written by Russ Allbery <rra@stanford.edu>
 *
 * The authors hereby relinquish any claim to any copyright that they may have
 * in this work, whether granted under contract or by operation of law or
 * international treaty, and hereby commit to the public, at large, that they
 * shall not, at any time in the future, seek to enforce any copyright in this
 * work against any person or entity, or prevent any person or entity from
 * copying, publishing, distributing or creating derivative works of this
 * work.
 */

#include <config.h>
#include <portable/system.h>

int
issetuidgid(void)
{
    if (getuid() != geteuid())
        return 1;
    if (getgid() != getegid())
        return 1;
    return 0;
}
